import request from '@/utils/request'

// 查询订单列表
export function listStoreSubOrder(query) {
  return request({
    url: '/his/storeSubOrder/list',
    method: 'get',
    params: query
  })
}

// 查询订单详细
export function getStoreSubOrder(subOrderId) {
  return request({
    url: '/his/storeSubOrder/' + subOrderId,
    method: 'get'
  })
}

// 新增订单
export function addStoreSubOrder(data) {
  return request({
    url: '/his/storeSubOrder',
    method: 'post',
    data: data
  })
}

// 修改订单
export function updateStoreSubOrder(data) {
  return request({
    url: '/his/storeSubOrder',
    method: 'put',
    data: data
  })
}

// 删除订单
export function delStoreSubOrder(subOrderId) {
  return request({
    url: '/his/storeSubOrder/' + subOrderId,
    method: 'delete'
  })
}

// 导出订单
export function exportStoreSubOrder(query) {
  return request({
    url: '/his/storeSubOrder/export',
    method: 'get',
    params: query
  })
}